package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_PURCHASE_PROVIDER所对应的实体类（生成工具：代码生成工具4.0
 * 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-07-26
 */
@SuppressWarnings("serial")
public class ComBasePurchaseProviderEntity implements java.io.Serializable {
	/**
	 * 采购协议代码
	 */
	private String agreementCode = "";
	/**
	 * 供应商代码
	 */
	private String suppCode = "";
	/**
	 * 供应商名称
	 */
	private String suppName = "";
	/**
	 * 标准索引码
	 */
	

	/**
	 * 采购协议代码
	 * 
	 * @return value
	 */
	public String getAgreementCode() {
		return agreementCode;
	}

	/**
	 * 采购协议代码
	 * 
	 * @param agreementCode
	 *            value
	 */
	public void setAgreementCode(String agreementCode) {
		this.agreementCode = agreementCode;
	}

	/**
	 * 供应商代码
	 * 
	 * @return value
	 */
	public String getSuppCode() {
		return suppCode;
	}

	/**
	 * 供应商代码
	 * 
	 * @param suppCode
	 *            value
	 */
	public void setSuppCode(String suppCode) {
		this.suppCode = suppCode;
	}

	/**
	 * 供应商名称
	 * 
	 * @return value
	 */
	public String getSuppName() {
		return suppName;
	}

	/**
	 * 供应商名称
	 * 
	 * @param suppName
	 *            value
	 */
	public void setSuppName(String suppName) {
		this.suppName = suppName;
	}
}
